search cancel

Cannot apply a patch on CA API Portal 3.5 - SSL handshake error

book

Article ID: 200806

calendar_today

Updated On:

Products

CA API Developer Portal

Issue/Introduction

The below error is presented when a CR patch is applied on CA API Portal 3.5 

ERROR (SimpleThreadPoolWorker-5:) - [LRSWrapper general] -- javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure

Environment

Release : 3.5

Component : API PORTAL

Resolution

 It appears that the upgrade changed which ciphers the API Portal was presenting, hence enabling those particular ciphers or all ciphers on the API Gateway will resolve the issue.

Additional Information

NOTE: CA API Portal 3.5 is now EOS. Please upgrade to version 4.5 or 5.0 as soon as possible. 

For more information, please refer:

https://support.broadcom.com/external/content/release-announcements/Portal-3.5-EOS-Announcement/10779